[Python-de] Wer nicht fragt, bleibt dumm

Georg Mischler schorsch at schorsch.com
Mon Nov 24 17:26:41 CET 2003


Axel Bringenberg wrote:

> Hallo Liste,
>
> heute überraschte mich ein Kollege ;-) mit folgender Frage:
>
> Wieso ist bei Python 1.5.2 ...
>
>  >>> 4.0 - 0.1
> 3.9
>
> aber bei 2.1.3 und später ...
>
>  >>> 4.0 - 0.1
> 3.8999999999999999
>
> Ich befürchte ja, dass diese Frage zu den FAQs gehört, habe aber trotz
> intensivem Wühlen in Listen und Sites nichts wirklich erklärendes
> gefunden - bin also für jeden Hinweis dankbar.


Richtig geraten, schlecht gesucht... ;)

http://www.python.org/cgi-bin/moinmoin/Python20FrequentlyAskedQuestions



-schorsch

-- 
Georg Mischler  --  simulations developer  --  schorsch at schorsch com
+schorsch.com+  --  lighting design tools  --  http://www.schorsch.com/